
import 'package:secrethero_flutter/secrethero_flutter_method_channel.dart';

import 'secrethero_flutter_platform_interface.dart';

class SecretHero {
  Future<void> initialize(SecretHeroConfig config, SecretHeroEventListener listener) async {
    await SecretheroFlutterPlatform.instance.initialize(config, listener);
  }

  Future<void> start() async {
    await SecretheroFlutterPlatform.instance.start();
  }

  Future<void> release() async {
    await SecretheroFlutterPlatform.instance.release();
  }
}
